Page MenuHomePhabricator

Disable images in signatures
Open, LowPublic

Description

Some communities have policies which disallow images in signatures, and would prefer enforcing it on the software level.


Version: unspecified
Severity: enhancement

Details

Reference
bz66006

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:22 AM
bzimport set Reference to bz66006.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Jun 1 2014, 5:04 PM

All subtasks in this tracking task (an umbrella task which specified no work itself) are resolved as invalid.

Hence nothing is tracked here, and as https://phabricator.wikimedia.org/T38374#410766 explains, this should be a software feature request instead, not 'tracking" anything.
Hence turning this task into one.

Aklapper renamed this task from Disable images in signatures (tracking) to Disable images in signatures.Sep 8 2016, 12:42 PM
Aklapper lowered the priority of this task from Medium to Low.
Aklapper removed a project: Tracking-Neverending.
Aklapper set Security to None.

There are several users (including me) who use an image as part of their signature, I believe that this aspect should not be banned altogether (at least not at the software level). I personally since my beginnings in Wikimedia projects I use my image and I have never been questioned that anywhere.

I think this could be applied in cases of images that are GIFs, and that they are really overwhelming for the servers and slow down the loading of the pages. Common images such as JPGs or PNGs do not cause me any problem in my case (I use a 250kbps downlink connection).

Similarly, I believe that a complete ban should only be applied to each project after reaching a local consensus and not prohibiting it at once. That's all I can say about this aspect.

Perhelion added a subscriber: Perhelion.